package enum

type SysCfg string

const (
	AppName                 = "app_name"
	OpenAlipayAppid         = "open_alipay_appid"
	OpenAlipayAesKey        = "open_alipay_aes_key"
	OpenAlipayAppPrivateKey = "open_alipay_app_private_key"
	OpenAlipayAppPublicKey  = "open_alipay_app_public_key"
	OpenAlipayPublicKey     = "open_alipay_public_key"
	OpenAppletAesKey        = "open_applet_aes_key"

	OpenAppletAppid         = "open_applet_appid"
	OpenAppletAppPrivateKey = "open_applet_app_private_key"
	OpenAppletAppPublicKey  = "open_applet_app_public_key"
	OpenAppletPublicKey     = "open_applet_public_key"

	FileBucketHost                         = "file_bucket_host"
	FileBucketRegion                       = "file_bucket_region"
	FileBucketScheme                       = "file_bucket_scheme"
	FileExt                                = "file_ext"
	FileSecretKey                          = "file_secret_key"
	FileUserUploadMaxSize                  = "file_user_upload_max_size"
	FileAccessKey                          = "file_access_key"
	FileBucket                             = "file_bucket"
	AdministratorContactInfo               = "administrator_contact_info"
	CentralKitchenForSchoolReserveMealTime = "central_kitchen_for_school_reserve_meal_time"
	CentralKitchenForSchoolCancelMealTime  = "central_kitchen_for_school_cancel_meal_time"
	NursingHomeReserveMealTime             = "nursing_home_reserve_meal_time"
	NursingHomeCancelMealTime              = "nursing_home_cancel_meal_time"
	JsapiPayAppAutToken                    = "jsapi_pay_app_auth_token"
)

func (gt SysCfg) String() string {
	switch gt {
	case AppName:
		return "项目名称"
	case OpenAlipayAesKey:
		return "支付宝开放平台-第三方应用-接口内容加密-aesKey"
	case OpenAlipayAppPrivateKey:
		return "支付宝开放平台-第三方应用-接口加签-应用私钥"
	case OpenAlipayAppPublicKey:
		return "支付宝开放平台-第三方应用-接口加签-应用公钥"
	case OpenAlipayPublicKey:
		return "支付宝开放平台-第三方应用-接口加签-支付宝公钥"
	case OpenAppletAesKey:
		return "支付宝开放平台-小程序-接口内容加密-aesKey"
	case OpenAppletAppPrivateKey:
		return "支付宝开放平台-小程序-接口加签-应用私钥"
	case OpenAppletAppPublicKey:
		return "支付宝开放平台-小程序-接口加签-应用公钥"
	case OpenAppletPublicKey:
		return "支付宝开放平台-小程序-接口加签-支付宝公钥"
	case OpenAlipayAppid:
		return "支付宝开放平台-第三方应用-appid"
	case OpenAppletAppid:
		return "支付宝开放平台-小程序-appid"
	case FileBucketHost:
		return "对象存储域名"
	case FileBucketRegion:
		return "文件所属区域"
	case FileExt:
		return "文件上传后缀,后台用户不限制后缀"
	case FileBucketScheme:
		return "文件上传模式"
	case FileSecretKey:
		return "对象存储SecretToken"
	case FileUserUploadMaxSize:
		return "用户单文件最大上传大小,byte"
	case FileAccessKey:
		return "对象存储AccessToken"
	case FileBucket:
		return "对象存储bucket"
	case AdministratorContactInfo:
		return "管理员联系方式"
	case CentralKitchenForSchoolReserveMealTime:
		return "央厨预定用餐时间"
	case CentralKitchenForSchoolCancelMealTime:
		return "央厨取消用餐时间"
	case NursingHomeReserveMealTime:
		return "养老院预定用餐时间"
	case NursingHomeCancelMealTime:
		return "养老院取消用餐时间"
	case JsapiPayAppAutToken:
		return "支付宝开放平台-jsapi支付-app_auth_token"
	default:
		return "未知"
	}
}
